%global packname  pmclust
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.1.7
Release:          1%{?dist}
Summary:          Parallel Model-Based Clustering

Group:            Applications/Engineering 
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_0.1-7.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-methods R-MASS R-pbdDMAT%{?_isa} >= 0.4.0
BuildRequires:    R-devel R-methods R-MASS R-pbdDMAT >= 0.4.0
BuildRequires:    openmpi-devel


%description
The pmclust aims to utilize model-based clustering (unsupervised) for high
dimensional and ultra large data, especially in a distributed manner. The
package employs Rmpi to perform a expectation-gathering-maximization (EGM)
algorithm for finite mixture Gaussian models. The unstructured dispersion
matrices are assumed in the Gaussian models. The implementation is default
in the single program multiple data (SPMD) programming model. The code can
be executed through Rmpi and independent to most MPI applications. See the
High Performance Statistical Computing (HPSC) website for more
information, documents and examples.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
%_openmpi_load
mkdir -p %{buildroot}%{rlibdir}
OMPI_MCA_orte_allocation_required=0 \
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%_openmpi_load
OMPI_MCA_orte_allocation_required=0 \
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/libs


%changelog
* Tue Feb 23 2016 Dave Love <loveshack@fedoraproject.org> - 0.1.7-1
- New version
- Don't BR latex

* Tue Apr 07 2015 Dave Love <d.love@liverpool.ac.uk> 0.1.6-1
- initial package for Fedora
